#define _REGISTRY

#include "Registries.h"

int count_WorldUpdateType = 0;

#undef REGISTER
#define REGISTER(c, typ)             \
    const int c::ID = count_##typ++; \
    const c* c::INSTANCE = new c();

// order of includes determines the ids

// world updates
#include "AddEntityUpdate.h"
#include "EntityRemovedUpdate.h"