#pragma once

#include <UIMLView.h>

#include "InventoryView.h"

class RecipieOutputElement : public Framework::UIMLElement
{
public:
    RecipieOutputElement();
    //! prft, ob dieses UIML Element fr ein bestimmtes xml Element zustndig
    //! ist
    bool isApplicableFor(Framework::XML::Element& element) override;
    //! erstellt eine neue Zeichnung zu einem gegebenen xml Element
    Framework::Zeichnung* parseElement(Framework::XML::Element& element,
        Framework::UIMLContainer& generalFactory) override;
    bool updateElement(Framework::XML::Element& element,
        Framework::Zeichnung& z,
        Framework::UIMLContainer& generalFactory) override;
    //! wendet die layout parameter zu einer Zeichnung an
    void layout(Framework::XML::Element& element,
        Framework::Zeichnung& z,
        int pWidth,
        int pHeight,
        Framework::UIMLContainer& generalLayouter) override;
};

class RecipieOutput : public Framework::ZeichnungHintergrund
{
private:
    SlotInfo info;

public:
    RecipieOutput(SlotInfo info, Framework::Text toolTipUIML);
    void render(Framework::Bild& rObj) override;
};